Ask Your Question
1

Is it possible to start rxgraph or rxplot via roslaunch ...

asked 2011-04-21 13:28:56 -0600

Poseidonius gravatar image

or do I have to execute this tools separately?

Thanks for your effort and help

Bes wishes

Poseidonius

edit retag flag offensive close merge delete

Comments

Does `rxplot` work on your system when run directly as a command?
joq gravatar imagejoq ( 2011-04-25 04:33:53 -0600 )edit
What happens if you do `rosdep install rx`?
joq gravatar imagejoq ( 2011-04-25 04:36:08 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
3

answered 2011-04-21 14:10:51 -0600

joq gravatar image

You can execute rxplot from a launch file by adding something like this:

<node pkg="rxtools" type="rxplot" name="plot_speed"
      args="/odom/twist/twist/linear/x" />

I don't know how to execute rxgraph like that. Maybe we should open a defect ticket.

edit flag offensive delete link more

Comments

rxgraph is not a ROS node, as such the arguments roslaunch adds are a problem. A possible feature request for roslaunch would be to launch non ROS node executables.
tfoote gravatar imagetfoote ( 2011-04-25 14:08:26 -0600 )edit
1

answered 2011-04-23 18:59:07 -0600

Poseidonius gravatar image

updated 2011-04-23 20:44:45 -0600

Hi joq,

Thanks for your help! But I have got an error message

Traceback (most recent call last): File "/home/eos/ros/rx/rxtools/nodes/rxplot", line 38, in <module> import rxtools.rxplot_main File "/home/eos/ros/rx/rxtools/src/rxtools/rxplot_main.py", line 47, in <module> import rxtools.rxplot File "/home/eos/ros/rx/rxtools/src/rxtools/rxplot.py", line 62, in <module> from matplotlib.backends.backend_wxagg import \ ImportError: No module named backend_wxagg

when I integrated rxplot into my launch file. What I have to do? I use a Fedora with Python 2.7

Best wishes from Germany

Poseidonius

edit flag offensive delete link more

Comments

It looks like you're missing some wx system dependencies.
tfoote gravatar imagetfoote ( 2011-04-25 14:09:03 -0600 )edit
Had the same problem today. The missing dependency is called python-matplotlib-wx on Fedora. I didn't find in which rosdep file to add it however....
Steven Bellens gravatar imageSteven Bellens ( 2011-12-12 01:06:03 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-04-21 13:28:56 -0600

Seen: 818 times

Last updated: Jul 15 '11